@import '../themes/mixins.scss';

.oxguard_badpass {
    background: rgb(255,191,191);
}

.oxguard_hint_bad {
    color: rgb(255,191,191);
}

.oxguard_warnpass {
    background: rgb(255,211,131);
}

.oxguard_hint_warn {
    color: rgb(255,211,131);
}

.oxguard_goodpass {
    background: rgb(157, 255, 157);
}

.oxguard_hint_good {
    color: rgb(157, 255, 157);
}

/* temp password */
.og_password_prompt td {
    padding: 10px;
}

/* Password prompt */
.password_prompt {
    margin-bottom:10px;
    margin-top:7px;
    max-width:200px;
}

.og_forgot {
    margin-top: 20px;
}


.io-ox-dialog-popup > .modal-body > .guard-create-key {
    /* prevent overflow-x in modal dialog */
    padding: 2px;
}

.og_wait {
    text-align: center;
    padding: 10px;
}

.error-line {
    padding: 0 16px;
    margin-bottom: 8px;
    border-bottom: 1px solid #dddddd;
    position: relative;
    display: flex;
    align-items: center;
    min-height: 32px;
    border-radius: 8px;
    flex: 1;
    text-align: center;
    font-weight: bold;

    & > * {
      flex: 1;
      text-align: center;
    }

    &.stripes-red { @include stripes(#fbdcdc, #f3c0c0, #d20c0c) }

}

.og_duration select {
    display: inline-block;
    width: 150px;
    margin-left: 10px;
}